## plplot 5.10.0+dfsg

=== debian/changelog ===
plplot (5.10.0+dfsg-1ubuntu4) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:33:35 +0000

plplot (5.10.0+dfsg-1ubuntu3) wily; urgency=medium

  * Apply work-arounds from Debian #789619 to fix the ftbfs.
    - Add patch to build with recent cmake.
    - Disable building octave-plplot, not ported to octave 4.0.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Aug 2015 07:13:01 +0200

plplot (5.10.0+dfsg-1ubuntu2) wily; urgency=medium

  * Rebuild, new gfortran module version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Aug 2015 05:05:25 +0000

plplot (5.10.0+dfsg-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Honor nocheck in DEB_BUILD_OPTIONS.
    - Enable verbose builds and tests.
    - Remove multiarch path in pkgconfig files.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Oct 2014 17:05:40 +0200

plplot (5.10.0+dfsg-1) unstable; urgency=low

  * Repackage upstream source to remove non-DFSG compliant documentation. 
    This is regenerated automatically anyway. Fixes lintian errors. 
  * debian/watch: Update watch file to account for mangled version with
    +dfsg suffix. Avoids lintian warning.
  * debian/rules, debian/repack: Add target to automatically download
    and clean up source to remove non-DFSG compliant code.
  * debian/README.Debian: Document changes to make the package DFSG 
    compliant.
  * debian/patches/fix_config_h_clash: New patch from upstream to fix name
    clash with HAVE_CONFIG_H. (Closes: #761176). 
  * debian/copyright: Update to use new machine readable format, and to
    include fuller details of files which have different licensing 
    conditions to the standard LGPL. (Closes: #761057)
  * debian/control.in: Include libplplot-dev dependencies on 
    plplot12-driver-qt and plplot12-driver-wxwidgets to avoid dangling 
    symlinks. (Closes: #715105). Change build dependency on 
    ttf-freefont transitional package to fonts-freefont-ttf.
  * debian/patches/set_cmake_policy: Set cmake policy CMP0026 to old to 
    allow compilation with cmake 3. For installed examples also set cmake
    policy CMP0046 to old to suppress warnings.
  * debian/patches/octave_3.8_support.diff: Fix bug introduced in octave
    example 07.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 16 Sep 2014 13:42:23 +0100

plplot (5.10.0-0.1) unstable; urgency=low

  [Thibaut Paumard <thibaut@debian.org>]
  NMU to fix remaining issue, based on package proposed for sponsorship by
  original maintainer:
  * Bug fix: "plplot FTBFS due to HDF5 transition", thanks to Thibaut
    Paumard (Closes: #760943) (new patch: dont-check-for-hdf5_h)

  [Andrew Ross <andrewross@users.sourceforge.net>]
  * New upstream version (closes: #740085, #707268, #713309, #736392, #747053, 
    #719799) 
  * debian/patches/: Remove patches now in upstream and update remaining 
    patches.
  * debian/patches/octave_3.8_support.diff: Fix some issues with octave 3.8 
    support (backport from upstream). Also remove obsolete continuation 
    markers to suppress octave warnings.
  * debian/rules, debian/control.in: Use xvfb-run to run cmake since 
    auto-detection of tk components requires an X11 display and may fail for 
    autobuilders. Add the required build dependencies on xvfb, xauth and 
    iwidgets4.
  * debian/get-upstream-version.pl: Update to reflect changes in how the 
    plplot version is stored in the upstream source. 
  * debian/rules, debian/control.in: Update arch-indep build dependencies and 
    remove references to postscript version of documentation to reflect 
    changes to the way documentation is built.
  * debian/control.in: Update build dependencies to use wxwidgets-3.0 (closes:
    #749488) and gnat-4.9 (closes: #728152)
  * debian/rules: Add -source and -target options to javac command line. Fixes 
    lintian warning.
  * debian/control.in: Bump standards version to 3.9.5. Fixes lintian warning.
  * debian/patches/fix-wxwidgets-linkage.diff: Add new patch to explicitly link
    libplplotd to libwxwidgetsd. Fixes dpkg-shlibdeps warnings.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 09 Sep 2014 18:17:43 +0200

plplot (5.9.10-2) UNRELEASED; urgency=low

  * debian/changelog: Upload to experimental not unstable.
  * debian/compat, debian/control.in: Update to compatibility version 9 
    for debhelper to remove lintian warning.
  * debian/rules: Fix bug in rules for case where ada is not supported.
  * debian/control.in: Fix short description for plplot-tcl-bin package.
  * debian/rules: For tcl scripts in the tk examples then make symlinks rather
    than duplicating files in the tck examples.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 05 Nov 2013 08:56:45 +0000

plplot (5.9.10-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/patches/series: Remove backported patches no longer need with 
    current release and update remaining patches.
  * debian/control.in: Update dependencies for new documentation build system 
    and to include shapelib (needed for new map support).
  * debian/control.in, debian/rules, debian/*.files:
    Rename packages to reflect bump in SONAME version.
  * debian/control.in: Drop support for f77 bindings (deprecated upstream 
    and replaced by the better f95 bindings).
  * debian/libplplot12.files: Ensure shape file versions of the maps are 
    installed.
  * debian/control.in, debian/rule: Drop the gd driver support and the 
    plplot11-driver-gd package. No longer supported upstream and superceded 
    by cairo and qt drivers. (Closes: #738242)
  * debian/patches/series, debian/patches/fix-d-examples.diff: Fix from 
    upstream for D example 20 so it compiles with latest gdc.
  * debian/rules: Fix command line options for python-config to prevent an 
    error.
  * debian/control.in, debian/rules, debian/*.files: Update package to be 
    multiarch compatible. (Fixes some lintian warnings).

