=== debian/control ===
Source: plplot
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Ross <andrewross@users.sourceforge.net>
Standards-Version: 3.9.5
Build-Depends: cmake (>= 2.6.3), debhelper (>= 9), 
 tcl8.5-dev, tk8.5-dev, itcl3-dev, libx11-dev, libxext-dev,
 libxi-dev, gfortran, itk3-dev, iwidgets4,
 m4, libqhull-dev (>= 2003.1-8), 
 libxml-parser-perl, libxml-dom-perl, libltdl3-dev, pkg-config, 
 slice, python-gtk2-dev, libwxgtk3.0-dev, 
 python-all-dev (>= 2.6.6-3~),
 python-numpy (>= 1:1.4.1-4~), default-jdk,
 fastjar, swig, gnat [!sh4], libqt4-dev, python-sip-dev, 
 python-qt4, python-qt4-dev, 
 ocaml-nox, camlidl, ocaml-findlib, libcairo-ocaml-dev,
 liblablgtk2-ocaml-dev, liblua5.1-0-dev, lua5.1, gdc, libshp-dev,
 xvfb, xauth
Build-Depends-Indep: xmlto, fop, docbook-xml, docbook-xsl, docbook2x, 
 dblatex, texlive-xetex, ghostscript, lmodern, fonts-freefont-ttf
Build-Conflicts: libplplot5, liboctave-dev, tcl8.6, tk8.6
X-Python-Version: >=2.4
Homepage: http://www.plplot.org
Vcs-Svn: https://plplot.svn.sourceforge.net/svnroot/plplot/trunk/debian
Vcs-Browser: http://plplot.svn.sourceforge.net/viewvc/plplot/trunk/debian/

Package: libplplot12
Architecture: any
Section: libs
Conflicts: libplplot11
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: plplot12-driver-xwin, plplot12-driver-gd,
 plplot12-driver-cairo, plplot12-driver-qt, plplot12-driver-wxwidgets, plplot-tcl
Replaces: plplot-bin (<< 5.9.6-1)
Breaks: plplot-bin (<<5.9.6-1)
Description: Scientific plotting library
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the PLplot library for C, as well as the necessary
 data files.

Package: libplplot-dev
Architecture: any
Section: libdevel
Recommends: pkg-config, cmake, libplplot-ocaml, libplplot-lua, libplplot-d
Suggests: plplot-doc
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libplplot12 (= ${binary:Version}), libqhull-dev, libfreetype6-dev,
 libltdl3-dev, libqsastime-dev, ${misc:Depends}, 
 libplplot-c++11 (= ${binary:Version}), libplplot-fortran10 (= ${binary:Version}),
 plplot12-driver-qt (= ${binary:Version}), 
 plplot12-driver-wxwidgets (= ${binary:Version})
Breaks: libplplot-fortran9 (<< 5.9.8-1)
Description: Scientific plotting library (development files)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains all that is needed for doing development in C, C++
 and Fortran with PLplot.  Examples of programs for these languages are
 also included.  For development in Tcl/Tk, Python, Octave, Ada and Java 
 install the plplot-tcl-dev, python-plplot, octave-plplot, libplplot-ada1-dev
 and libplplot-java packages, respectively. This package also includes the 
 OCaml, lua and D examples. To use one of these languages you will also 
 need to install the libplplot-xxx package for that language.

Package: libplplot-c++11
Architecture: any
Section: libs
Conflicts: libplplot5, libplplot-c++9, libplplot-c++9c2, libplplot-c++10
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific plotting library (C++ binding)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the C++ binding for PLplot.

Package: libplplot-fortran10
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}  , ${misc:Depends}
Description: Scientific plotting library (fortran bindings)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the Fortran 95 bindings for PLplot. Note: the Fortran 
 77 bindings have been deprecated upstream for some time and have now been 
 dropped from the Debian packages. 

Package: libplplot-java
Architecture: any
Section: java
Conflicts: libplplot9-java
Replaces: libplplot9-java
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific plotting library (Java bindings)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the Java bindings for PLplot.

Package: libcsiro0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific plotting library (CSIRO libraries)
 This package contains two libraries developed by Pavel Sakov, from the
 CSIRO Marine Research, used in geometry applications:
 .
  * libcsirocsa: bivariate Cubic Spline Approximation library
  * libcsironn: Natural Neighbours interpolation library
 .
 The source code for these libraries are part of the plplot source
 package.

Package: libqsastime0
Architecture: any
Section: libs
Conflicts: libplplot9
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Time format conversion library
 The qsastime library is a simple library for handling time format
 conversion. It overcomes the limitations of the POSIX time handling
 routines by allow high precision time variables over a large range
 of ranges of dates and by correctly handling leap seconds. It was
 designed with the needs of scientific data plotting in mind. This 
 package provides the runtime library.
 .
 The source code for this library is part of the plplot source
 package.

Package: libqsastime-dev
Architecture: any
Section: libdevel
Breaks: libplplot-dev (<< 5.9.8-1)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libqsastime0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Time format conversion library (development files)
 The qsastime library is a simple library for handling time format
 conversion. It overcomes the limitations of the POSIX time handling
 routines by allow high precision time variables over a large range
 of ranges of dates and by correctly handling leap seconds. It was
 designed with the needs of scientific data plotting in mind. This 
 package provides the necessary files to do development with 
 libqsastime.
 .
 The source code for this library is part of the plplot source
 package.

Package: plplot12-driver-xwin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: plplot9-driver-xwin
Replaces: plplot9-driver-xwin
Description: Scientific plotting library (X11 driver)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package provides the X11 driver module for PLplot.

Package: plplot12-driver-wxwidgets
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libplplot12, ${shlibs:Depends}, ${misc:Depends}
Conflicts: plplot9-driver-wxwidgets
Replaces: plplot9-driver-wxwidgets
Description: Scientific plotting library (wxWidgets driver)
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package provides the wxWidgets driver module for PLplot.

Package: plplot-tcl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: plplot12-driver-xwin, iwidgets4, ${shlibs:Depends}, ${misc:Depends}
Description: Tcl/Tk support for PLplot, a plotting library
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the Tcl/Tk support for PLplot: shared libraries,
 Tcl modules and the Tk driver.

Package: plplot-tcl-bin
Architecture: any
Depends: plplot-tcl, ${shlibs:Depends}, ${misc:Depends}
Description: Tcl/Tk tools for PLplot, a plotting library 
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
 line (linear, log), contour, 3D, fill, and almost 1000 characters
 (including Greek and mathematical) in its extended font set.  The package
 is designed to make it easy to quickly get graphical output; only a
 handful of function calls is typically required.  For more advanced use,
 virtually all aspects of plotting are configurable.
 .
 This package contains the pltcl program for interactive use of the Tcl/Tk 
 support for PLplot. 

Package: plplot-tcl-dev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libplplot12 (= ${binary:Version}), plplot-tcl, ${misc:Depends}
Breaks: plplot-tcl (<= 5.2.0.cvs.20030224-1)
Description: Tcl/Tk development support for PLplot, a plotting library
 PLplot is relatively small, portable, freely distributable, and is rich
 enough to satisfy most users.  It has a wide range of plot types including
